<?php
// +----------------------------------------------------------------------+
// | Interceptor 0.5.1                                      For PHP 5.0.0 |
// +----------------------------------------------------------------------+
// | Distributed at http://www.arielworks.net/works/codeyard/himmel       |
// +----------------------------------------------------------------------+

/* Settings ============================================================ */
define("DIR_ROOT", $_SERVER['DOCUMENT_ROOT']);
define("TARGET_NAME", "index.xml");
/* ===================================================================== */


require_once("./himmel.php");

/* Set Parameters */
$id         =  $_GET["id"];
$target_dir = str_replace("\\", "/", realpath((DIR_ROOT == "/" ? "" : DIR_ROOT) . $id));
$target     = ($target_dir == "/" ? "/" : $target_dir . "/") . TARGET_NAME;

/* 404 Check */
if (strpos($target_dir, DIR_ROOT) === FALSE || !is_file($target)) {
    FileNotFound();
    exit();
}

$HIMMEL = new HIMMEL($id, $target, DIR_ROOT);
$HIMMEL->process();

function FileNotFound() {
    $HIMMEL = new HIMMEL("/error/404", "./404.xml", DIR_ROOT);
    $HIMMEL->sendHTTPHeaders();
    header("HTTP/1.0 404 Not Found");
    print $HIMMEL->saveResult();
}

?>